Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513369 - Image snapshot-controller is using old api.
Summary: Image snapshot-controller is using old api.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.7.0
Assignee: Tomas Smetana
QA Contact: Liang Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 10:02 UTC by Liang Xia
Modified: 2017-11-28 22:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-11-28 22:22:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Liang Xia 2017-11-15 10:02:44 UTC
Description of problem:
Image snapshot-controller is using old api.

While image snapshot-provisioner does not have such issue.
And package snapshot-controller, snapshot-provisioner does not have such issue.


Version-Release number of selected component (if applicable):
"Id": "sha256:e8dfcff0a6567f8a647c6742c83360629c0674410280927af81ee65a031f8be7"
# docker exec -it snapshot-controller bash -c 'rpm -qa | grep snapshot'
openshift-external-storage-snapshot-controller-0.0.1-3.git78d6339.el7.x86_64


How reproducible:
Always


Steps to Reproduce:
1.Check the latest image of snapshot-controller.


Actual results:
# oc create -f snapshot1.yaml (with apiVersion: volumesnapshot.external-storage.k8s.io/v1)
error: unable to recognize "snapshot.yaml": no matches for volumesnapshot.external-storage.k8s.io/, Kind=VolumeSnapshot

# oc create -f snapshot2.yaml (with apiVersion: volume-snapshot-data.external-storage.k8s.io/v1)
volumesnapshot "snapshot-1" created


Expected results:
We should use newer api as "volumesnapshot.external-storage.k8s.io/v1"


Additional info:
# cat snapshot.yaml 
apiVersion: volumesnapshot.external-storage.k8s.io/v1
kind: VolumeSnapshot
metadata:
  name: snapshot-1
  namespace: 43iv1
spec:
  persistentVolumeClaimName: pvc

Comment 1 Tomas Smetana 2017-11-15 10:46:41 UTC
Rebuilt the image with the new openshift-external-storage-snapshot-controller.x86_64 0:0.0.1-5.git78d6339.el7 package:
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=14558950

Comment 3 Liang Xia 2017-11-16 10:16:01 UTC
Verified that the new images works fine.

# docker exec -it 7fbf4a788c1e bash -c 'rpm -qa | grep snapshot'
openshift-external-storage-snapshot-controller-0.0.1-5.git78d6339.el7.x86_64

# oc create -f ss.yaml
volumesnapshot "snapshot-1" created

# cat ss.yaml 
apiVersion: volumesnapshot.external-storage.k8s.io/v1
kind: VolumeSnapshot
metadata:
  name: snapshot-1
spec:
  persistentVolumeClaimName: pvc

Comment 6 errata-xmlrpc 2017-11-28 22:22:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.